package com.koobietech.eas.common.result;

import lombok.Data;

import java.util.List;

/**
 * @author lc
 */
@Data
public class PageDataResult<T> {
    private long total = 0;
    private List<T> data = null;
    public static PageDataResult init(List data, long total){
        PageDataResult ret = new PageDataResult();
        ret.setData(data);
        ret.setTotal(total);
        return ret;
    }
}
